commenting-settings resource endpoint
URL: /blogs/<id>/commenting-settings.<format>
Supported Methods
| GET | Get the commenting-related settings for this blog. |
Resource Type
This endpoint returns an object of type BlogCommentingSettings.
- captchaRequired (boolean)
- true if this blog requires anonymous commenters to pass a CAPTCHA before submitting a comment, or false otherwise.
- emailAddressRequired (boolean)
- true if this blog requires anonymous comments to be submitted with an email address, or false otherwise.
- htmlAllowed (boolean)
- true if this blog allows commenters to use basic HTML formatting in comments, or false if HTML will be removed.
- moderationEnabled (boolean)
- true if this blog places new comments into a moderation queue for approval before they are displayed, or false if new comments may be available immediately.
- signinAllowed (boolean)
- true if this blog allows users to sign in to comment, or false if all new comments are anonymous.
- signinRequired (boolean)
- true if this blog requires users to be logged in in order to leave a comment, or false if anonymous comments will be rejected.
- timeLimit (integer)
- Number of days after a post is published that comments will be allowed. If the blog has no time limit for comments, this property will be omitted.
- urlsAutoLinked (boolean)
- true if comments in this blog will automatically have any bare URLs turned into links, or false if URLs will be shown unlinked.
Client Library Methods for PHP
- Get the commenting-related settings for this blog.
$tp->blogs->getCommentingSettings(array( # Required Parameters "id" => $id, ))
Example Request
GET /blogs/6a012877b13de7970c012877b13df1970c/commenting-settings.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 228
{
"signinRequired": true,
"urlsAutoLinked": true,
"captchaRequired": false,
"moderationEnabled": true,
"emailAddressRequired": false,
"timeLimit": 7,
"signinAllowed": true,
"htmlAllowed": false
}